=== debian/changelog ===
velvet (1.2.03~nozlibcopy-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/patches/include_debians_zlib.patch.

 -- Charles Plessy <plessy@debian.org>  Thu, 16 Feb 2012 13:37:19 +0900
