=== debian/changelog ===
velvet (1.2.10+dfsg-1) unstable; urgency=low

  * New upstream version (+adapted patch)
  * debian/watch: cope with +dfsg suffix (in addition to old ~nozlibcopy)
  * debian/get-orig-source:
     - Enable simple changing of suffix for repackaged source
     - Check for existence of enhanced uscan and use it if available for
       easier repackaging
  * debian/control:
     - cme fix dpkg-control
     - no explicit quilt Build-Depends (also removed from rules)
     - bumped python from Recommends to Depends because there are
       Python scripts installed in velvet/contrib
     - use anonscm in Vcs fields
  * debian/copyright:
    Add Files-Excluded to document what was removed from original source
  * rename debian/{docs,install} to debian/velvet.{docs,install} which
    is more safe in the case of multibinary package
  * debian/velvet.install: shuffle* files are in contrib directory now
  * debhelper 9 (control+compat) to enable hardening options
  * debian/rules: propagate hardening options
  * debian/copyright:
     - Files-Excluded: Exclude MAXOS internal files cruft from upstream archive
     - Adapt Source location
  * debian/README.source: Updated explanation for repackaging, droped some
    outdated information
  * debian/rules:
     - Do not try to rmdir nonexisting directory
     - Remove extra copies of GPL
  * debian/velvet-examples.install: use install instead of examples to move
    the examples into /usr/share/doc/velvet directly.  Also all contrib stuff
    was moved here to not bloat main velvet binary package with potentially
    unused stuff in /usr/share
  * debian/README.Debian: document move of contrib stuff

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2013 14:33:28 +0200
