=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: velvet
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Charles Plessy <plessy@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Charles Plessy <plessy@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), zlib1g-dev, help2man, quilt, texlive-latex-base
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9),
+               zlib1g-dev,
+               help2man,
+               texlive-latex-base
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/velvet/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/velvet/trunk/
 Homepage: http://www.ebi.ac.uk/~zerbino/velvet/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/velvet/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/velvet/trunk/
 
 Package: velvet
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: python
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Suggests: velvet-example
 Description: Nucleic acid sequence assembler for very short reads
  Velvet is a de novo genomic assembler specially designed for short read
@@ -29,8 +30,8 @@
 
 Package: velvet-example
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}
+Recommends: python
 Description: Example data for the Velvet sequence assembler
  Velvet is a de novo genomic assembler specially designed for short read
  sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
@@ -43,3 +44,4 @@
  .
  This package contains the example data distributed in the sources of Velvet,
  a de novo genomic assembler. 
+
