=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  $@ --with quilt
+	dh $@
 
 pkg=velvet
 
@@ -14,8 +14,8 @@
 
 override_dh_auto_build :
 	touch zlib # prevents the zlib in the ‘third-party’ folder to be built.
-	dh_auto_build -- OPENMP=1
-	dh_auto_build -- color OPENMP=1
+	dh_auto_build -- OPENMP=1 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	dh_auto_build -- color OPENMP=1 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_install :
 	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/man/man1/
@@ -30,9 +30,9 @@
 	         --name="de Bruijn graph construction, error removal and repeat resolution (colorspace version)" \
 	         $(CURDIR)/velvetg_de > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velvetg_de.1
 	dh_install
-	#If the tarball is not being scrubbed we need this.
-	# find $(CURDIR)/debian/$(pkg) -name '.DS_Store' -exec rm {} \;
-	rmdir $(CURDIR)/debian/$(pkg)/usr/share/velvet/contrib/MetaVelvet-v0.3.1/obj
+	rm -rf $(CURDIR)/debian/$(pkg)/usr/share/velvet/contrib/MetaVelvet-v0.3.1/obj
+	# remove extra copies of GPL
+	find $(CURDIR)/debian -type f -name 'LICENSE*' -delete
 
 #Prevent compression of user manual
 override_dh_compress :
