=== debian/watch ===
version=3
opts=dversionmangle=s/([~+]dfsg|~nozlibcopy)// \
  http://www.ebi.ac.uk/~zerbino/velvet/velvet_([.\d]*).tgz
