=== debian/changelog ===
velvet (1.2.10+dfsg1-7) unstable; urgency=medium

  * velvet-examples: Depends: velvet-tests
    Closes: #929563

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2019 21:28:03 +0100

velvet (1.2.10+dfsg1-6) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #945743
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2019 13:40:35 +0100

velvet (1.2.10+dfsg1-5) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added references to registries.

  [ Andreas Tille ]
  * drop unneeded get-orig-source target
  * debhelper 11 (--no-parallel needed)
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * d/control: Drop unnecessary Testsuite field
  * Provide manpages for versions with MAXKMERLENGTH = 127
  * Try better hardening but failed (hints are welcome)
  * Fix spelling
  * Secure URI in watch file
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 10:17:41 +0200

velvet (1.2.10+dfsg1-4) experimental; urgency=medium

  * Add version with MAXKMERLENGTH=127

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2017 10:10:36 +0100

velvet (1.2.10+dfsg1-3) unstable; urgency=medium

  * Moved from SVN to Git
  * Do not mention files in d/copyright that are not part of the source
  * Lintian override for false positives

 -- Andreas Tille <tille@debian.org>  Thu, 10 Dec 2015 09:02:23 +0100

velvet (1.2.10+dfsg1-2) unstable; urgency=medium

  * Fix gcc-5 build issue by adapting upstream patch
    Closes: #778161
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jun 2015 11:44:54 +0200

velvet (1.2.10+dfsg1-1) unstable; urgency=medium

  * Drop more stuff from upstream source via Files-Excluded
  * cme fix dpkg-control
  * Do not pack example data into another archive
  * add autopkgtest (using new binary package velvet-tests)
  * do not create manpages at package build time (which is error prone anyway
    but rather prepare them before using debian/createmanpages script

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jun 2014 13:56:46 +0200

velvet (1.2.10+dfsg-1biolinux6) trusty; urgency=medium

  [ Andreas Tille ]
  * Moved debian/upstream to debian/upstream/metadata
  * Base get-orig-source target on recent uscan that understands
    Files-Excluded
  * debian/rules: no need to explicitly force xz compression any more

  [ Tim Booth ]
  * Remove MeteVelvet and VelvetOptimiser in dh_clean, not dh_install
  * Include example_data.tar.xz in -example package

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 30 Jun 2014 11:39:24 +0100

velvet (1.2.10+dfsg-1biolinux5) trusty; urgency=low

  * Rebuild for Ubuntu Trusty
  * Fold in some chages from Bio-Linux
  * Add velvet-long package as suggested by upstream
  * Fix TeX deps so manual still builds
  * Add .c/.h and .pl files to dh_compress exclusions
  * Ensure that MetaVelvet and VelvetOptimiser sources are excluded
    as they don't belong in -examples

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 27 Jun 2014 13:52:48 +0100
