=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                zlib1g-dev,
-               help2man,
-               texlive-latex-base
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/velvet/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/velvet/trunk/
-Homepage: http://www.ebi.ac.uk/~zerbino/velvet/
+               texlive-latex-base,
+               texlive-latex-recommended
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/med-team/velvet
+Vcs-Git: https://salsa.debian.org/med-team/velvet.git
+Homepage: https://www.ebi.ac.uk/~zerbino/velvet/
 
 Package: velvet
 Architecture: any
@@ -28,10 +28,29 @@
  high quality unique contigs. It then uses paired read information, if
  available, to retrieve the repeated areas between contigs.
 
+Package: velvet-long
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         velvet
+Description: Nucleic acid sequence assembler for very short reads, long version
+ Velvet is a de novo genomic assembler specially designed for short read
+ sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
+ Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
+ Cambridge, in the United Kingdom.
+ .
+ Velvet currently takes in short read sequences, removes errors then produces
+ high quality unique contigs. It then uses paired read information, if
+ available, to retrieve the repeated areas between contigs.
+ .
+ This package installs special long-mode versions of Velvet, as recommended
+ in the Velvet tutorials.
+
 Package: velvet-example
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: python
+Depends: ${misc:Depends},
+         velvet-tests
+Recommends: python3
 Description: Example data for the Velvet sequence assembler
  Velvet is a de novo genomic assembler specially designed for short read
  sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
@@ -43,5 +62,21 @@
  available, to retrieve the repeated areas between contigs.
  .
  This package contains the example data distributed in the sources of Velvet,
- a de novo genomic assembler. 
+ a de novo genomic assembler.
 
+Package: velvet-tests
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: python3
+Description: Test data for the Velvet sequence assembler
+ Velvet is a de novo genomic assembler specially designed for short read
+ sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
+ Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
+ Cambridge, in the United Kingdom.
+ .
+ Velvet currently takes in short read sequences, removes errors then produces
+ high quality unique contigs. It then uses paired read information, if
+ available, to retrieve the repeated areas between contigs.
+ .
+ This package contains the test data to run the unit tests of Velvet, a de novo
+ genomic assembler, that could be used as additional set of examples.
