=== debian/tests/control ===
Tests: run-unit-test
Depends: @, velvet-tests
Restrictions: allow-stderr
