=== debian/watch ===
version=4

opts="dversionmangle=s/([~+]dfsg|~nozlibcopy)\d/$1/,uversionmangle=s/$/+dfsg/" \
  https://www.ebi.ac.uk/~zerbino/velvet/velvet_([.\d]*).tgz
